net.sourceforge.pmd.lang.dfa.pathfinder

## Class CurrentPath

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.pathfinder.CurrentPath

-     public class CurrentPath
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentPath()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLast(DataFlowNode n)`
    `DataFlowNode` | `getDoBranchNodeFromFirstDoStatement()`
    `DataFlowNode` | `getLast()`
    `int` | `getLength()`
    `boolean` | `isBranch()`
    `boolean` | `isDoBranchNode()`
    `boolean` | `isEmpty()`
    `boolean` | `isEndNode()`
    `boolean` | `isFirstDoStatement()`
    `Iterator<DataFlowNode>` | `iterator()`
    `void` | `removeLast()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentPath

          public CurrentPath()

  - ### Method Detail

    - #### getLength

          public int getLength()

    - #### iterator

          public Iterator<DataFlowNode> iterator()

    - #### getLast

          public DataFlowNode getLast()

    - #### removeLast

          public void removeLast()

    - #### isEmpty

          public boolean isEmpty()

    - #### addLast

          public void addLast(DataFlowNode n)

    - #### isDoBranchNode

          public boolean isDoBranchNode()

    - #### isFirstDoStatement

          public boolean isFirstDoStatement()

    - #### getDoBranchNodeFromFirstDoStatement

          public DataFlowNode getDoBranchNodeFromFirstDoStatement()

    - #### isEndNode

          public boolean isEndNode()

    - #### isBranch

          public boolean isBranch()

Copyright © 2002-2013 InfoEther. All Rights Reserved.